GET/ products-by-id/ :custom_id/
Get product events
You can return all product events occurrences for a specific product.
Attributes
Optional unless marked required
- custom_id
- A unique identifier for the product provided by the client.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X GET "https://<your_app_subdomain>.user.com/api/public/products-by-id/:custom_id/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/products-by-id/:custom_id/",
{
method: "GET",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
},
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/products-by-id/:custom_id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.get(
"https://<your_app_subdomain>.user.com/api/public/products-by-id/:custom_id/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
)
print(response.json())
Response examples
- 200 OK
- 404 Not Found
{"count": 2,"next": null,"previous": null,"results": [{"id": 3675,"user_id": 1945,"timestamp": "2026-11-17T15:02:31Z","event_type": "purchase","custom_data": {},"product_custom_id": "rain-jacket"},{"id": 3674,"user_id": 1945,"timestamp": "2026-11-17T15:02:31Z","event_type": "add to cart","custom_data": {},"product_custom_id": "rain-jacket"}]}{
"detail": "No Product matches the given query."
}
Response fields
Fields returned in the 200 OK response body.
- count
- Number of results across all pages. It can lag behind recent changes; see Response pagination.
- next
- URL of the next page of results. null on the last page.
- previous
- URL of the previous page of results. null on the first page.
- results
- Results on this page.
- results[].
id - ID of the product.
- results[].
user_id - ID of the contact the event belongs to.
- results[].
timestamp - When the event happened, ISO 8601.
- results[].
event_type - Type of the event, for example
view,add to cartorpurchase. - results[].
custom_data - Data sent with the event.
- results[].
product_custom_id - Custom ID of the product the event is for.
- results[].
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.